org.bouncycastle.asn1.x509

## Class TBSCertList

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.TBSCertList

All Implemented Interfaces:
  DEREncodable

    public class TBSCertList
    extends ASN1Encodable

PKIX RFC-2459 - TBSCertList object.

     TBSCertList  ::=  SEQUENCE  {
          version                 Version OPTIONAL,
                                       -- if present, shall be v2
          signature               AlgorithmIdentifier,
          issuer                  Name,
          thisUpdate              Time,
          nextUpdate              Time OPTIONAL,
          revokedCertificates     SEQUENCE OF SEQUENCE  {
               userCertificate         CertificateSerialNumber,
               revocationDate          Time,
               crlEntryExtensions      Extensions OPTIONAL
                                             -- if present, shall be v2
                                    }  OPTIONAL,
          crlExtensions           [0]  EXPLICIT Extensions OPTIONAL
                                             -- if present, shall be v2
                                    }

### Nested Class Summary

Nested Classes
`class` `TBSCertList.CRLEntry`

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`TBSCertList(ASN1Sequence seq)`

### Method Summary

Methods
`X509Extensions` `getExtensions()`
`static TBSCertList` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static TBSCertList` `getInstance(java.lang.Object obj)`
`X509Name` `getIssuer()`
`Time` `getNextUpdate()`
`java.util.Enumeration` `getRevokedCertificateEnumeration()`
`TBSCertList.CRLEntry[]` `getRevokedCertificates()`
`AlgorithmIdentifier` `getSignature()`
`Time` `getThisUpdate()`
`int` `getVersion()`
`DERInteger` `getVersionNumber()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TBSCertList

    public TBSCertList(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static TBSCertList getInstance(ASN1TaggedObject obj,
                          boolean explicit)

#### getInstance

    public static TBSCertList getInstance(java.lang.Object obj)

#### getVersion

    public int getVersion()

#### getVersionNumber

    public DERInteger getVersionNumber()

#### getSignature

    public AlgorithmIdentifier getSignature()

#### getIssuer

    public X509Name getIssuer()

#### getThisUpdate

    public Time getThisUpdate()

#### getNextUpdate

    public Time getNextUpdate()

#### getRevokedCertificates

    public TBSCertList.CRLEntry[] getRevokedCertificates()

#### getRevokedCertificateEnumeration

    public java.util.Enumeration getRevokedCertificateEnumeration()

#### getExtensions

    public X509Extensions getExtensions()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`